Bug 168932 - [NEW PORT] net-mgmt/phpipam: PHPIPAM: PHP IP Address Management IPv4/IPv6
Summary: [NEW PORT] net-mgmt/phpipam: PHPIPAM: PHP IP Address Management IPv4/IPv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 00:00 UTC by jake
Modified: 2012-06-16 10:50 UTC (History)
1 user (show)

See Also:


Attachments
phpipam-0.6.shar (14.98 KB, text/plain)
2012-06-11 00:00 UTC, jake
no flags Details
phpipam.shar (16.01 KB, application/octet-stream)
2012-06-15 17:32 UTC, Mark Felder
no flags Details
phpipam_v2.shar (16.01 KB, application/octet-stream)
2012-06-16 00:01 UTC, Mark Felder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jake 2012-06-11 00:00:24 UTC
phpipam is an open-source web IP address management application. 
Its goal is to provide light and simple IP address management 
application. It is ajax-based using jQuery libraries, it uses php 
scripts and javascript and some HTML5/CSS3 features, so some modern 
browser is preferred to be able to display javascript quickly and 
correctly...

Features and tools:
- Section / Subnet separation
- Subnet nesting;
- IPv4/IPv6 support
- Displays free range and number of clients
- Subnet statistics
- User management
- E-Mail notification with IP details
- Import IP addresses from XLS / CSV file
- Export IP database to XLS file
- IPv4/IPv6 calculator
- Search IP database
- IP request module
- Custom IP address fields
Comment 1 Michael Scheidell freebsd_committer 2012-06-12 15:49:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 Michael Scheidell freebsd_committer 2012-06-12 15:52:23 UTC
State Changed
From-To: open->feedback

Jake: 
Thanks for continuing to expand FreeBSD in the server management area.  Especially timely is this since ipv6 went 'live' june  
2nd. 

A few of comments: 
1) new ports/Makefile should not have a $FreeBSD: line copied from an old port 
(just use $FreeBSD$).  check your new port with:  portlint -N 

2) does this REALLY need apache?  this won't work with the embedded servers, lighthttpd/nginx or others? 
3) are you sure this won't work with spawn-fcgi? (php proxies, as is mostly recommended?) 

4) if defined(WITH_LDAP) || !defined isn't nessessary. ports.optin mk file will take care of either case 

5) installs: don't use CP, use INSTALL_ (DATA, SCRIPT, etc), if nessessary, use -m params to chown/chmod. 
6) these is a bug in 0.6, file manageSubnet.php, line 127: must be $subSlave['description'] not $slave['description'] 

(#6, wait for upstream, or add a 'post-patch:/REPINLINE).) 

can you send a new shar (as an attachment, usually in email) back to the pr database? 
(elm -A {patch} -s "Re: ports/168932: [NEW PORT] net-mgmt/phpipam: PHPIPAM: PHP IP Address Management IPv4/IPv6"  
bug-followup@FreeBSD.org) 
or if you use smtp-cli, or whatever email client you use? 
(an inline 'patch' will get mangled) 
if you can't, then close this pr, and reopen a new one with at least fixes for #1,4, 5 and 6?
Comment 3 Michael Scheidell freebsd_committer 2012-06-12 16:16:46 UTC
sorry, a couple more.
pre-install:
         @${CP} ${WRKSRC}/${CONFIG} ${WRKSRC}/${CONFIG}.sample

you might want to check for existence of config.php/and/or sample in 
this, deinstall and pkg-plist (with @exec/unexec). this way if a user 
installs this, it can install a 'default' config.php, (from sample), but 
compare it against their custom config.

this way, you can remove config.php (if it matches .sample), in Makefile 
as well as pkg-plist.
this will prevent a reinstall from clobbering config.php, but give a 
sample, as well as make sure there are no leftovers.

(see security/amavisd-new and mail/p5-Mail-SpamAssassin for examples.. 
don't forget to test with make install/deinstall/package, pkg_delete and 
pkg_add. check for leftovers.

get a tinderbox (join redports) and test there as well.


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 4 Mark Felder freebsd_committer 2012-06-15 17:32:29 UTC
Swooping in with my own take on this port -- don't want to steal anyone's  
thunder but a coworker saw this and liked it so I decided to finish up  
this port submission. Jake, you're welcome to be the maintainer if you'd  
like. I just want to see this in the ports tree soon :-)

> 1) new ports/Makefile should not have a $FreeBSD: line copied from an  
> old port(just use $FreeBSD$). check your new port with: portlint -N

done

>
> 2) does this REALLY need apache? this won't work with the embedded  
> servers, lighthttpd/nginx or others?

Removed apache. From what I can tell so far it runs with with nginx+php-fpm

> 3) are you sure this won't work with spawn-fcgi? (php proxies, as is  
> mostly recommended?)

I think we're already addressing that, right?

>
> 4) if defined(WITH_LDAP) || !defined isn't nessessary. ports.optin mk  
> file will take care of either case

No worries; updated to optionsNG while I was at it.

>
> 5) installs: don't use CP, use INSTALL_ (DATA, SCRIPT, etc), if  
> nessessary, use -m params to chown/chmod.

using INSTALL_DATA and forcing root:wheel. There's no reason for the  
webserver to have write access to these files or directories.

> 6) these is a bug in 0.6, file manageSubnet.php, line 127: must be  
> $subSlave['description'] not $slave['description']

Patch included.

> you might want to check for existence of config.php/and/or sample in 
> this, deinstall and pkg-plist (with @exec/unexec).

Also included that functionality.


Redports link:

https://redports.org/buildarchive/20120615162047-8189/
Comment 5 Mark Felder freebsd_committer 2012-06-16 00:01:52 UTC
I noticed a small typo that broke the LDAP port option.

This shar fixes it.
Comment 6 Michael Scheidell freebsd_committer 2012-06-16 02:00:30 UTC
State Changed
From-To: feedback->open

Testing in tinderbox now. Might change some dirrm's to dirrmtry's for 
common WWWDIR/subdirs to keep it from  erroring if other packages are 
installed in WWWDIR
Comment 7 dfilter service freebsd_committer 2012-06-16 10:40:19 UTC
scheidell    2012-06-16 09:39:54 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt             Makefile 
  Added files:
    net-mgmt/phpipam     Makefile distinfo pkg-descr pkg-plist 
    net-mgmt/phpipam/files patch-site-admin_manageSubnet.php 
                           pkg-message.in 
  Log:
  Addport: net-mgmt/phpipam. An open-source web IP address management application.
  Its goal is to provide light and simple IP address management
  application. It is ajax-based using jQuery libraries, it uses php
  scripts and javascript and some HTML5/CSS3 features, so some modern
  browser is preferred to be able to display javascript quickly and
  correctly. [1]
  
  - Fixes to Makefile, removed Apache Dependency, optionsng [2]
  
  PR:             ports/168932
  Submitted by:   Jake Smith <jake@xz.cx> [1]
  Submitted by:   Mark Felder <feld@feld.me> [2]
  
  Revision  Changes    Path
  1.293     +1 -0      ports/net-mgmt/Makefile
  1.1       +63 -0     ports/net-mgmt/phpipam/Makefile (new)
  1.1       +2 -0      ports/net-mgmt/phpipam/distinfo (new)
  1.1       +18 -0     ports/net-mgmt/phpipam/files/patch-site-admin_manageSubnet.php (new)
  1.1       +59 -0     ports/net-mgmt/phpipam/files/pkg-message.in (new)
  1.1       +21 -0     ports/net-mgmt/phpipam/pkg-descr (new)
  1.1       +265 -0    ports/net-mgmt/phpipam/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Michael Scheidell freebsd_committer 2012-06-16 10:44:40 UTC
State Changed
From-To: open->closed

New port added, with changes. please sync your portstree and examine.